# $Id: clustershell.spec.in 270 2010-06-08 00:16:23Z st-cea $

%define name clustershell
%define release 1%{?dist}

Summary: ClusterShell Python framework
Name: %{name}
Version: 1.2.86
Release: %{release}
Source0: %{name}-%{version}.tar.gz
License: CeCILL-C
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
Vendor: Stephane Thiell <stephane.thiell@cea.fr>
Url: http://clustershell.sourceforge.net/

%description
ClusterShell is an event-based Python library to execute commands on local
or distant cluster nodes in parallel depending on the selected engine and
worker mechanisms. The library provides also advanced nodeset handling
methods. Finally, clush, clubak and nodeset, three convenient command-line
tools using the library are included.

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/clustershell

# detecting vim version
VIMDATADIR=`ls /usr/share/vim/vim[0-9]* -1d | tail -1`
if [ ! -d "$VIMDATADIR" ]; then
    VIMDATADIR=%{_datadir}/%{name}/vim
fi

# man pages
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/{man1,man5}
gzip -c doc/man/man1/clubak.1 >$RPM_BUILD_ROOT/%{_mandir}/man1/clubak.1.gz
gzip -c doc/man/man1/clush.1 >$RPM_BUILD_ROOT/%{_mandir}/man1/clush.1.gz
gzip -c doc/man/man1/nodeset.1 >$RPM_BUILD_ROOT/%{_mandir}/man1/nodeset.1.gz
gzip -c doc/man/man5/clush.conf.5 >$RPM_BUILD_ROOT/%{_mandir}/man5/clush.conf.5.gz
gzip -c doc/man/man5/groups.conf.5 >$RPM_BUILD_ROOT/%{_mandir}/man5/groups.conf.5.gz

# vim addons
cp conf/clush.conf conf/groups.conf $RPM_BUILD_ROOT/%{_sysconfdir}/clustershell
mkdir -p $RPM_BUILD_ROOT/$VIMDATADIR/ftdetect
cp doc/extras/vim/ftdetect/clustershell.vim $RPM_BUILD_ROOT/$VIMDATADIR/ftdetect
mkdir -p $RPM_BUILD_ROOT/$VIMDATADIR/syntax
cp doc/extras/vim/syntax/clushconf.vim $RPM_BUILD_ROOT/$VIMDATADIR/syntax
cp doc/extras/vim/syntax/groupsconf.vim $RPM_BUILD_ROOT/$VIMDATADIR/syntax
echo $VIMDATADIR/ftdetect/clustershell.vim >>INSTALLED_FILES
echo $VIMDATADIR/syntax/clushconf.vim >>INSTALLED_FILES
echo $VIMDATADIR/syntax/groupsconf.vim >>INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README ChangeLog Licence_CeCILL-C_V1-en.txt Licence_CeCILL-C_V1-fr.txt
%doc %{_mandir}/man1/clubak.1.gz
%doc %{_mandir}/man1/clush.1.gz
%doc %{_mandir}/man1/nodeset.1.gz
%doc %{_mandir}/man5/clush.conf.5.gz
%doc %{_mandir}/man5/groups.conf.5.gz
%config(noreplace) %{_sysconfdir}/clustershell/clush.conf
%config(noreplace) %{_sysconfdir}/clustershell/groups.conf
